%define major 2
%define apiver 2
%define libname %mklibname lzo %{apiver} %{major}
%define devname %mklibname lzo -d

%bcond_with	uclibc

Summary:	Data compression library with very fast (de-)compression
Name:		liblzo
Version:	2.08
Release:	1
License:	GPLv2+
Group:		System/Libraries
Url:		http://www.oberhumer.com/opensource/lzo/
Source0:	http://www.oberhumer.com/opensource/lzo/download/lzo-%{version}.tar.gz
%if %{with uclibc}
BuildRequires:	uClibc-devel
%endif

%description
LZO is a portable lossless data compression library written in ANSI C. 
It offers pretty fast compression and *very* fast decompression. 
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while 
still decompressing at this very high speed.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Data compression library with very fast (de-)compression
Group:		System/Libraries

%description -n %{libname}
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *very* fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while
still decompressing at this very high speed.

%files -n %{libname}
%doc AUTHORS NEWS README THANKS doc/LZO.TXT doc/LZO.FAQ
%{_libdir}/liblzo%{apiver}.so.%{major}*

#----------------------------------------------------------------------------

%package -n	%{devname}
Summary:	Headers files of liblzo library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}2-devel = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *very* fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while
still decompressing at this very high speed.

%files -n %{devname}
%doc doc/LZOAPI.TXT doc/LZOTEST.TXT
%{_bindir}/lzotest
%{_libdir}/*.a
%if %{with uclibc}
%{uclibc_root}%{_libdir}/*.a
%endif
%{_libdir}/*.so
%{_includedir}/*

#----------------------------------------------------------------------------

%prep
%setup -qn lzo-%{version}

%build
export CONFIGURE_TOP=`pwd`
%if %{with uclibc}
mkdir -p uclibc
pushd uclibc
%configure2_5x	CC="%{uclibc_cc}" \
		CFLAGS="%{uclibc_cflags}" \
		--disable-shared
%make
popd
%endif

mkdir -p shared
cd shared
%configure2_5x	--enable-shared
%make
cd ..

%install
%if %{with uclibc}
install -m644 uclibc/src/.libs/liblzo2.a -D %{buildroot}%{uclibc_root}%{_libdir}/liblzo.a
%endif

%makeinstall_std -C shared
install -m755 shared/lzotest/lzotest -D %{buildroot}%{_bindir}/lzotest
rm -rf %{buildroot}%{_datadir}/doc/lzo

%check
cd shared
make check
make test

%changelog
* Fri Jul 11 2014 Denis Silakov <denis.silakov@rosalab.ru> 2.08-1
+ Revision: 0d100b3
- Updated to 2.08


